<template>
  <li v-bind="$attrs">
    <span />
    <div
      v-if="step.action === 'GoToStop'"
      class="title"
    >
      Se rendre à l'arrêt {{ step.location.label }}
    </div>
    <div
      v-else-if="step.action === 'ChangeCar'"
      class="title"
    >
      Changer de véhicule pour <em>{{ step.car.label }}</em>
    </div>
    <div
      v-else
      class="title"
    >
      {{ step.action }}
    </div>
    <shuttle-details
      v-if="step.action !== 'ChangeCar'"
      :step="step"
    />
    <div class="when">
      <time
        :datetime="step.date"
      >{{ step.date|format_time }}</time>
    </div>
  </li>
</template>

<script>
import shuttleDetails from '~/components/step/shuttle-details.vue';

export default {
  components: {
    shuttleDetails,
  },
  props: {
    step: {
      type: Object,
      required: true,
    },
  },
};
</script>
